#define UNPACK_NO_MEM  -10000
#define UNPACK_BAD_IN  -10001
#define UNPACK_BAD_OUT -10002

/*
    UU.H        --      UU encode/decode library

    Copyright (C) 1992  Walter Andrew Nolan

                        wan@eng.ufl.edu

                        ECS-MIS
                        College of Engineering
                        University of Florida

                        Version 1.00



    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    */

#define UU_SUCCESS   0
#define UU_NO_MEM    -10000
#define UU_BAD_BEGIN -10001
#define UU_CANT_OPEN -10002
#define UU_CHECKSUM  -10003
#define UU_BAD_END   -10004

#define PACK_BAD_IN  -10000
#define PACK_BAD_OUT -10001


long uuencode (FILE *in, FILE *out, char *name);

int uudecode (FILE *in, char *path, char*fname);

int uu_unpack (char * inname, char * outname, char *outpath);

FILE *fsh_open(char *path, char *fmode);

